\documentclass[a4paper]{article}
\usepackage[left=2.2cm,right=2.2cm,top=2.5cm,bottom=2.5cm]{geometry} % page settings
\usepackage{amsmath}
\usepackage{amssymb}
%\usepackage{amsthm}
%\usepackage{etoolbox}
\usepackage[english]{babel}
\usepackage[utf8]{inputenc}
%\usepackage{framed}
\usepackage{fancyhdr}
%\usepackage{tikz}
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{hyperref}

\setlength{\parskip}{\medskipamount}
\setlength{\parindent}{0pt}

\pagestyle{fancy}
\lhead{
    \begin{tabular}{ll}
      Lab Course Deep Learning \\
      Winter term 2017/18
  \end{tabular}
}
\chead{}
\rhead{
  \begin{tabular}{ll}
    Fabian Glöckle \\
    11/12/2017
  \end{tabular}
}
\lfoot{}
\cfoot{}
\rfoot{} 


\begin{document}

\title{Deep Learning Lab Course Report 4}
\author{Fabian Glöckle}
\date{\today}
% \maketitle

\subsection*{Image segmentation}

In this exercise , we implemented image segmentation with the U-Net architecture, applied on cell images. The code can be found on my gitlab repo \footnote{\url{https://gitlab.com/fabian.g/deep-learning/tree/master}}.

\subsubsection*{Architecture}
\begin{figure}[h!]
\includegraphics[width=\textwidth]{unet.png}
\caption{Architecture of the U-Net segmentation network.}
\label{fig0}
\end{figure}

The figure shows the base architecture which was modified in the following way:
\begin{itemize}
\item only half the number of filters per layer
\item input downsized to $300 \times 300$
\end{itemize}

We use intersection over union as accuracy measure.

\subsubsection*{Results}

\begin{figure}[h!] 
\includegraphics[width=\textwidth]{plots.png} 
\caption{Training curves. Shown are training and validation accuracy.}
\label{fig1}
\end{figure}

Figure 2 shows the accuracy on training and validation accuracies by epoch. Training accuracy is averaged over 100 images, validation over 3 images. Surprisingly, validation accuracy has lower variance (??).

With around 90 percent, the accuracy is rather bad. This value could also be reached with simple statistical methods I assume (linear classifier of grey value etc.). Perhaps I implemented the intersection over union measure wrong, as other sources define it differently (and the formula does not state which kind of errors, first or second kind, should be taken into account).

However, this does not effect the network weights as the training loss is the usual summed cross-entropy loss.

Training time on the GPU was way lower than expected, just around one hour.

\subsubsection*{Segmentation examples}

\begin{figure}[h!] 
\includegraphics[width=\textwidth]{sample_images.png} 
\caption{Sample images from the segmentation network. First row: input images. Second row: segmentation output of the network. Third row: expected labels.}
\label{fig2}
\end{figure}

Figure 3 shows the segmentation results. Generally, the classification is correct. However, image 4 shows that the network still fails to classify lighter cell pixels correctly.

\end{document}
